Bug 2448

Summary: msg_controllen should be typed as socklen_t
Product: glibc Reporter: Michael Kerrisk <michael.kerrisk>
Component: libcAssignee: Ulrich Drepper <drepper.fsp>
Status: RESOLVED WONTFIX    
Severity: normal CC: glibc-bugs
Priority: P2    
Version: 2.4   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:

Description Michael Kerrisk 2006-03-12 18:53:01 UTC
In <bits/socket.h>, the msg_controllen field of the msghdr 
field is typed as size_t (perhaps because the definition was
based on the kernel_size_t used in the Linux kernel).  
However, POSIX reguires this field to be typed as socklen_t,
and glibc should probably do this.
Comment 1 Ulrich Drepper 2006-04-02 17:20:42 UTC
Tell this to the kernel people.  They define the data structure.  It's not
possible to use socklen_t because it  has a different size on 64-bit platforms.
Comment 2 Michael Kerrisk 2006-04-03 00:05:57 UTC
Subject: Re:  msg_controllen should be typed as socklen_t

> It's not possible to use socklen_t because it has a different
> size on 64-bit platforms.

The referrent of the second 'it' in that sentence was unclear.  I'm 
assuming 'it' == sizeof(__kernel_size_t), right?

Cheers,

Michael
Comment 3 Jackie Rosen 2014-02-16 19:41:21 UTC
*** Bug 260998 has been marked as a duplicate of this bug. ***
Seen from the domain http://volichat.com
Page where seen: http://volichat.com/adult-chat-rooms
Marked for reference. Resolved as fixed @bugzilla.